summaryrefslogtreecommitdiffstats
path: root/Utilities/Release/release_cmake.sh.in
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2014-01-28 15:41:56 (GMT)
committerBrad King <brad.king@kitware.com>2014-01-29 15:10:15 (GMT)
commitef7a1b41445f11bd05331a2a1d9d7fb44c1aa7d8 (patch)
tree32e36d63f20152f66eea84a8d6c805081fa5e593 /Utilities/Release/release_cmake.sh.in
parent174314e08a73011fe0115dde9932bc8e2fd6ebc9 (diff)
downloadCMake-ef7a1b41445f11bd05331a2a1d9d7fb44c1aa7d8.zip
CMake-ef7a1b41445f11bd05331a2a1d9d7fb44c1aa7d8.tar.gz
CMake-ef7a1b41445f11bd05331a2a1d9d7fb44c1aa7d8.tar.bz2
Utilities/Release: Pass pre-built docs tarball
Avoid requiring all build machines for the upstream packaging process to have Python and Sphinx installed. Instead create a way to build the documentation once on the host machine and copy it to each build machine as a tarball with content to include in the installation tree for packaging.
Diffstat (limited to 'Utilities/Release/release_cmake.sh.in')
-rwxr-xr-xUtilities/Release/release_cmake.sh.in12
1 files changed, 12 insertions, 0 deletions
diff --git a/Utilities/Release/release_cmake.sh.in b/Utilities/Release/release_cmake.sh.in
index 82c039b..f41bda8 100755
--- a/Utilities/Release/release_cmake.sh.in
+++ b/Utilities/Release/release_cmake.sh.in
@@ -15,6 +15,13 @@ check_exit_value()
fi
}
+CMAKE_DOC_TARBALL=""
+if [ ! -z "@CMAKE_DOC_TARBALL_NAME@" ] ; then
+ CMAKE_DOC_TARBALL=@CMAKE_RELEASE_DIRECTORY@/@CMAKE_DOC_TARBALL_NAME@
+ mv "$HOME/@CMAKE_DOC_TARBALL_NAME@" "$CMAKE_DOC_TARBALL"
+ check_exit_value $? "mv doc tarball" || exit 1
+fi
+
if [ ! -z "@CC@" ]; then
export CC="@CC@"
check_exit_value $? "set CC compiler env var" || exit 1
@@ -76,6 +83,11 @@ if [ ! -z "@USER_OVERRIDE@" ]; then
echo "CMAKE_USER_MAKE_RULES_OVERRIDE:FILEPATH=@CMAKE_RELEASE_DIRECTORY@/@CMAKE_CREATE_VERSION@-build/user.txt" >> @CMAKE_RELEASE_DIRECTORY@/@CMAKE_CREATE_VERSION@-build/CMakeCache.txt
fi
+# Point build at pre-built documentation tarball, if any.
+if [ ! -z "$CMAKE_DOC_TARBALL" ]; then
+ echo "CMAKE_DOC_TARBALL:FILEPATH=$CMAKE_DOC_TARBALL" >> @CMAKE_RELEASE_DIRECTORY@/@CMAKE_CREATE_VERSION@-build/CMakeCache.txt
+fi
+
echo "Checkout the source for @CMAKE_CREATE_VERSION@"
cd @CMAKE_RELEASE_DIRECTORY@
if [ ! -z "@GIT_COMMAND@" ]; then